AOWP_PHPArrayPairElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPArrayPairElement
/parser/ast/PHPArrayPairElement.class.php at line 17

# Class AOWP_PHPArrayPairElement

    AOWP_PHPElement
        └─AOWP_PHPArrayPairElement

public class AOWP_PHPArrayPairElement
extends AOWP_PHPElement

PHPのASTにおける「=>」を表すクラス。 文法規則: function_call_parameter_list。

Author:
  Ryoto Naruse /

Field Summary
AOWP_PHPElement | $keyExpr 配列のキーを表します。 キーを配列定義で使用しない場合、このフィールドは空です。
AOWP_PHPElement | $valueExpr 配列の値を表します {@link AOWP_PHPVariableElement} or {@link AOWP_PHPReferenceVariableElement} or {@link AOWP_ScalarExprElement}

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPArrayPairElement(mixed _line, mixed key, mixed value)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPArrayPairElement.class.php at line 24

### keyExpr

`public AOWP_PHPElement $keyExpr`

配列のキーを表します。 キーを配列定義で使用しない場合、このフィールドは空です。

/parser/ast/PHPArrayPairElement.class.php at line 33

### valueExpr

`public AOWP_PHPElement $valueExpr`

配列の値を表します `AOWP_PHPVariableElement` or `AOWP_PHPReferenceVariableElement` or `AOWP_ScalarExprElement`

## Constructor Detail

/parser/ast/PHPArrayPairElement.class.php at line 35

### AOWP_PHPArrayPairElement

`public AOWP_PHPArrayPairElement(mixed _line, mixed key, mixed value)`

## Method Detail

/parser/ast/PHPArrayPairElement.class.php at line 41

### __toString

`public void __toString()`

/parser/ast/PHPArrayPairElement.class.php at line 45

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr